Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.wicket.sitemap
Class WicketReader

    java.lang.Object
      org.apache.cocoon.wicket.sitemap.WicketReader

All Implemented Interfaces:
  Finisher, PipelineComponent, Starter

    public class WicketReader

extends Object
implements Starter, Finisher

The simplest possible integration of Wicket as a reader component.

Constructor Summary
`WicketReader()`

Method Summary
`void` | `execute()`
`void` | `finish()` This method is called after pipeline run - regardless if the run was successful or an exception was thrown.
`String` | `getContentType()`
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`void` | `setOutputStream(OutputStream outputStream)`
`void` | `setup(Map<String,Object> parameters)` The shared object map for this pipeline run.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WicketReader

    public WicketReader()

Method Detail

### execute

    public void execute()

  Specified by:
    `execute` in interface `Starter`

### finish

    public void finish()

  Description copied from interface: `PipelineComponent`
  This method is called after pipeline run - regardless if the run was successful or an exception was thrown.

  Specified by:
    `finish` in interface `PipelineComponent`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `Finisher`

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Description copied from interface: `PipelineComponent`
  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Parameters:
    `configuration` - The `Map` of configuration parameters.

### setOutputStream

    public void setOutputStream(OutputStream outputStream)

  Specified by:
    `setOutputStream` in interface `Finisher`

### setup

    public void setup(Map<String,Object> parameters)

  Description copied from interface: `PipelineComponent`
  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Parameters:
    `parameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.